package com.izouma.awesomeadmin.model;


import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * SortField 实体类
 * Fri May 04 13:38:24 CST 2018  Suo Chen Cheng
 */
@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class AdvancedQueryField {

    private String link;
    private String name;
    private String searchMethod;
    private String value;

    private Boolean noChange;

    private Boolean systemFlag;

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSearchMethod() {
        return searchMethod;
    }

    public void setSearchMethod(String searchMethod) {
        this.searchMethod = searchMethod;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Boolean getNoChange() {
        return noChange;
    }

    public void setNoChange(Boolean noChange) {
        this.noChange = noChange;
    }

    public Boolean getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(Boolean systemFlag) {
        this.systemFlag = systemFlag;
    }
}

